Bug 30925 - Creating public list by adding items to new list creates a private list
Summary: Creating public list by adding items to new list creates a private list
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Marcel de Rooy
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 28959
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-08 11:50 UTC by Marcel de Rooy
Modified: 2022-06-20 14:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 30925: Fix category parameter for addbybiblionumber (2.91 KB, patch)
2022-06-20 07:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30925: Fix category parameter for addbybiblionumber (2.92 KB, patch)
2022-06-20 13:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-06-08 11:50:24 UTC
Suspecting 26346 ..
Comment 1 Marcel de Rooy 2022-06-08 11:54:15 UTC
Try to entries to a list from a detail page in opac or staff.
Note that currently you cant even add items from search results in opac, since that one is broken too for Zebra.
*sigh*
Comment 2 Marcel de Rooy 2022-06-08 12:05:05 UTC
And enable OpacAllowpubliclistcreation or so
Comment 3 Jonathan Druart 2022-06-08 12:13:19 UTC
var "category" is not retrieved from opac/opac-addbybiblionumber.pl

commit adc3772204f3c9d5f95866c1e4b90d81198671fc
Bug 28959: (follow-up) Adjust all places in which 'category' was used

 -my $category        = $query->param('category');
 +my $public          = $query->param('public');
Comment 4 Alex Buckley 2022-06-09 03:08:09 UTC
Just noting: I checked out the v21.11.00 tag and found that this bug can be replicated - at least when creating a public list by adding items to new list on the staff client. I have not tested on the OPAC.

Bug 26346 was not pushed to 21.11.00. 

Also, if you check out commit c9fc07aee3bc9b60a856b1b873ec731a31c2bc8a which the commit before bug 28959 was pushed this buggy behaviour cannot be replicated in the staff client. 

Therefore I do not think this bug was caused by 26346
Comment 5 Marcel de Rooy 2022-06-09 06:01:20 UTC
(In reply to Alex Buckley from comment #4)
> Just noting: I checked out the v21.11.00 tag and found that this bug can be
> replicated - at least when creating a public list by adding items to new
> list on the staff client. I have not tested on the OPAC.
> 
> Bug 26346 was not pushed to 21.11.00. 
> 
> Also, if you check out commit c9fc07aee3bc9b60a856b1b873ec731a31c2bc8a which
> the commit before bug 28959 was pushed this buggy behaviour cannot be
> replicated in the staff client. 
> 
> Therefore I do not think this bug was caused by 26346

You are right.
Comment 6 Alex Buckley 2022-06-09 07:19:32 UTC
(In reply to Marcel de Rooy from comment #5)
> (In reply to Alex Buckley from comment #4)
> > Just noting: I checked out the v21.11.00 tag and found that this bug can be
> > replicated - at least when creating a public list by adding items to new
> > list on the staff client. I have not tested on the OPAC.
> > 
> > Bug 26346 was not pushed to 21.11.00. 
> > 
> > Also, if you check out commit c9fc07aee3bc9b60a856b1b873ec731a31c2bc8a which
> > the commit before bug 28959 was pushed this buggy behaviour cannot be
> > replicated in the staff client. 
> > 
> > Therefore I do not think this bug was caused by 26346
> 
> You are right.

Thank you
Comment 7 Katrin Fischer 2022-06-18 21:40:46 UTC
No patch? :(
Comment 8 Marcel de Rooy 2022-06-20 07:07:45 UTC
Created attachment 136337 [details] [review]
Bug 30925: Fix category parameter for addbybiblionumber

In bug 28959 category was replaced in favor of public. But
unfortunately a few places were missed.
This fixes the addbybiblionumber templates.

Test plan:
Add a biblio to a list from the search results using the Add to
or Add to list button on OPAC/intranet.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2022-06-20 07:08:38 UTC
Trivial: SO
Comment 10 Marcel de Rooy 2022-06-20 07:09:04 UTC
(In reply to Katrin Fischer from comment #7)
> No patch? :(

Tomas would have a look.. But now I did.
Comment 11 Tomás Cohen Arazi 2022-06-20 13:32:10 UTC
(In reply to Marcel de Rooy from comment #10)
> (In reply to Katrin Fischer from comment #7)
> > No patch? :(
> 
> Tomas would have a look.. But now I did.

Thanks, I was just about to as Katrin's email reminded me of this.
Comment 12 Tomás Cohen Arazi 2022-06-20 13:35:58 UTC
Created attachment 136373 [details] [review]
Bug 30925: Fix category parameter for addbybiblionumber

In bug 28959 category was replaced in favor of public. But
unfortunately a few places were missed.
This fixes the addbybiblionumber templates.

Test plan:
Add a biblio to a list from the search results using the Add to
or Add to list button on OPAC/intranet.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 13 Tomás Cohen Arazi 2022-06-20 14:50:56 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!